commit 3a2759aa2a98c2157cb35731b95e393b8882f8d3
Author: Jose Aliste <jaliste@src.gnome.org>
Date:   Tue May 16 18:44:49 2017 -0400

    Check numComps is between reasonable bounds

    Before this patch, some PDF might crash because of an overflow
    if numComps does not lie between 0 and 4.
    This is a security fix for CVE-2017-0319.

 poppler/Stream.cc | 7 +++++++
 1 file changed, 7 insertions(+)

commit d9c88e1c8892c79b8865a0dabdcc0d3ffd55c195
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 21 00:56:38 2017 +0200

    Fix crash in malformed documents

 poppler/GfxState.cc | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 55db66c69fd56826b8523710046deab1a8d14ba2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 21 00:55:20 2017 +0200

    Fix crash in malformed documents

 poppler/JBIG2Stream.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5266fa426d73c5dbdb3dd903d50885097833acc6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 20 23:58:26 2017 +0200

    Fix crash in malformed document

    Bug #101526

 poppler/Stream.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 112b8ab16128c6e7f80fe7c1890f7b63abd85cce
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 20 23:51:16 2017 +0200

    Fix crash in broken documents

    Fixes bug #101525

 poppler/JBIG2Stream.cc | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 4e68bf998f886cab8a45fa315164d8ba7aa0dee4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 20 23:43:23 2017 +0200

    Fix crash on broken documents

    Fixes bug #101524

 poppler/JBIG2Stream.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 558cdb4a4efbb2227f4009f5d87cdd94bfb40107
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 20 23:37:26 2017 +0200

    Fix crash in malformed documents

    Fixes bug #101523

 poppler/GfxFont.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f7030a0176ed0ab484a401acc26072060e420679
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jun 19 23:45:24 2017 +0200

    Fix crash on broken documents

    Bug #101505

 goo/GooHash.cc | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit e465d36b8ecf46b80af4ac6b941ae56eb4883a89
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jun 19 23:35:29 2017 +0200

    Fix crash on malformed files

    Bug #101502

 poppler/GfxState.cc | 9 +++++++++
 1 file changed, 9 insertions(+)

commit e2ab2fa9d8c41e0115b2c276a2594cd2f7c217e6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jun 19 23:18:51 2017 +0200

    Fix crash on malformed files

    Bug #101500

 poppler/Function.cc | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 17e4111da1ae5c9798ca0c040bf75c01bbb72a8a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jun 17 17:47:23 2017 +0200

    Break earlier on reaching recursion limit

    Bug #101379

 poppler/Parser.cc | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

commit 8e1a2474c5513f7b2f4718258ca90e2d6e03f127
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jun 17 12:35:41 2017 +0200

    pdftohmtl: Initialize rotSkewMat

    Fixes uninitialized memory read at bug #100314

 utils/HtmlFonts.cc | 1 +
 1 file changed, 1 insertion(+)

commit dd7b0eec87ffc389ee3ba7319442e681e19b15ba
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jun 17 12:33:35 2017 +0200

    Remove unused constructor

 utils/HtmlFonts.h | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 5b05222ccd18a121ea2ae1d67b8b5d4947cdfce0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jun 17 12:33:06 2017 +0200

    Fix crash in malformed file

    Bug #101429

 poppler/Annot.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e1b5053e54b0ef7d6b09f3b9c97883db533d509a
Author: Even Rouault <even.rouault@spatialys.com>
Date:   Fri Jun 16 00:21:53 2017 +0200

    Fix crash on broken file

    Fixes bug #101366

 poppler/SplashOutputDev.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 9e05af3da0ce14c48f0652e01718960c6bc7b4b0
Author: Hans-Ulrich Jüttner <huj@froreich-bioscientia.de>
Date:   Wed Jun 14 23:19:48 2017 +0200

    FormFieldButton::setState() shouldn't check the field is readOnly

    Bug #101419

 poppler/Form.cc | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit 5c9b08a875b07853be6c44e43ff5f7f059df666a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat May 27 00:09:17 2017 +0200

    pdfunite: Fix crash with broken documents

    Sometimes we can't parse pages so check before accessing them

    Thanks to Jiaqi Peng for the report

    Fixes bugs #101153 and #101149

 utils/pdfunite.cc | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit ff05069f34a00d67cdddb033f6240a3407e90057
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun May 21 23:39:38 2017 +0200

    Poppler 0.55.0

 CMakeLists.txt   |  2 +-
 NEWS             | 16 ++++++++++++++++
 configure.ac     |  2 +-
 cpp/Doxyfile     |  2 +-
 qt4/src/Doxyfile |  2 +-
 qt5/src/Doxyfile |  2 +-
 6 files changed, 21 insertions(+), 5 deletions(-)

commit 680b3f6b80e6d342a6b6e3fe8f1953857784f737
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun May 21 23:20:56 2017 +0200

    Update (C)

 poppler/Object.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0bf38541443cb8dee4d9a5197fdfcf91f6043a2d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun May 21 23:20:38 2017 +0200

    Don't forget to ship this file ^_^

 Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit aa03a71c3a1127cffd19bb0f596c4b361a7f2269
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun May 21 22:37:23 2017 +0200

    Fix abort in files with broken Decode arrays

    Fixes KDE bug #379835

 poppler/GfxState.cc | 18 ++++++++++++------
 poppler/Object.h    |  7 +++++++
 2 files changed, 19 insertions(+), 6 deletions(-)

commit 65c5a5266462244130f110599ac5d1011a04216e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun May 21 18:42:15 2017 +0200

    Fail by default if libopenjpeg2/1 is not available

    You can "force" to use the unmaintained JPX decoder or none at all

 CMakeLists.txt    | 30 +++++++++++++++++++++++++++---
 config.h.cmake    |  3 +++
 configure.ac      | 29 +++++++++++++++++++++++++----
 poppler/Stream.cc |  5 +++++
 4 files changed, 60 insertions(+), 7 deletions(-)

commit ea6d3200ae26775dcc26ed80fad18ca51e7f7f07
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun May 21 18:08:41 2017 +0200

    Fix openjpeg text

    We've prefered openjpeg2 over 1 for a while

 CMakeLists.txt | 2 +-
 configure.ac   | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit b286a6b5b1a63563263072305da04604cb022488
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun May 21 17:45:00 2017 +0200

    Fail by default if libjpeg is not available

    You can "force" to use the unmaintained DCT decoder or none at all

 CMakeLists.txt    | 29 +++++++++++++++++++++++------
 config.h.cmake    |  3 +++
 configure.ac      | 40 +++++++++++++++++++++++++++++++---------
 poppler/Stream.cc |  7 ++++++-
 4 files changed, 63 insertions(+), 16 deletions(-)

commit 96ff78d63d2173671d07f62910b1d85c5fc509ff
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 10 11:20:56 2017 +0200

    cpp: Return nullptr if the page at index can't be fethed

    That is the same of what the glib/qt frontends do.

    Bug #100981

 cpp/poppler-document.cpp   | 13 ++++++++++++-
 cpp/tests/poppler-dump.cpp | 18 +++++++++++++-----
 2 files changed, 25 insertions(+), 6 deletions(-)

commit d73bcd3721f3b53bb97241cc53a6abf807aff782
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri May 5 15:12:42 2017 +0200

    auto_ptr -> unique_ptr

 cpp/poppler-document.cpp     | 25 +++++++++++++------------
 cpp/poppler-image.cpp        |  9 +++++----
 cpp/poppler-page.cpp         |  3 ++-
 cpp/tests/poppler-dump.cpp   |  9 +++++----
 cpp/tests/poppler-render.cpp |  5 +++--
 qt4/tests/check_fonts.cpp    |  4 ++--
 qt4/tests/check_links.cpp    |  4 ++--
 qt5/tests/check_fonts.cpp    |  4 ++--
 qt5/tests/check_links.cpp    |  4 ++--
 9 files changed, 36 insertions(+), 31 deletions(-)

commit 9ad9d92591a6389f84919ff2de3668c2b6158dc9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri May 5 00:57:35 2017 +0200

    Fix memory leak in error condition

    Coverity was complaining we missed one delete in one of the error
    conditions, so just made colorMap not be newer, no need to care about
    deletes ;)

 poppler/Gfx.cc | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)

commit cdab9a2dc27a10c84550db28fac8dbdcdcd4d29d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri May 5 00:47:45 2017 +0200

    Move the bits sanity checking a bit higher in the function

    Saves some time and makes the code simpler as we have to delete one
    thing less

 poppler/Gfx.cc | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit b2545e9368a58a6987614f75d39da4568a076881
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 4 21:24:23 2017 +0200

    Fix regression in GfxIndexedColorSpace::mapColorToBase

    The bounds check was off by one, making file from bug 100931 render
    incorrectly. Bug #100931

 poppler/GfxState.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 09000ce81397eba1eed383f730e48b92b932e0b4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 4 18:35:16 2017 +0200

    Minor optimization

    Do not create a timer for every single operation since we hardly
    run the
    profileCommands if branch

 poppler/Gfx.cc | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit b21b041f7948680c03109f0c404400a9dbc4544c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Apr 25 19:48:24 2017 +0200

    Fix memory leak when reconstructing broken files

    Need to free the catalog variable if we're going to fetch over
    it again

    Bug #100776

 poppler/XRef.cc | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 278439531b13b0b047dbe3a75aa3f1b3407c8bd4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Apr 25 19:42:15 2017 +0200

    Fix memory leak (and probably logic bug) parsing broken XRef entries

    Don't need to get obj1 again to ask if it's an int64 instead of an int

    Bug #100775

 poppler/XRef.cc | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 478be219772a6c298baad568da3643895cd50d35
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Apr 21 16:29:44 2017 +0200

    Poppler 0.54

 CMakeLists.txt      |  2 +-
 NEWS                | 14 ++++++++++++++
 configure.ac        |  2 +-
 cpp/Doxyfile        |  2 +-
 glib/CMakeLists.txt |  2 +-
 glib/Makefile.am    |  2 +-
 gtk-doc.make        |  1 +
 qt4/src/Doxyfile    |  2 +-
 qt5/src/Doxyfile    |  2 +-
 9 files changed, 22 insertions(+), 7 deletions(-)

commit d627a38b3a25906b356413a1de29aaad9f7a0f28
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Apr 21 16:03:49 2017 +0200

    Update (C)

 poppler/XRef.cc           | 2 +-
 qt5/src/poppler-private.h | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 3a13817da1fff5244267bbc7dee178ac665de4e0
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Fri Apr 21 19:23:07 2017 +0930

    pdfimages: don't fail listing if inline image data contains 'EI'

    Normally when listing images we don't read the image data. But for
    inline images we should read the image data to advance the stream
    position to the end of the image data. If we don't advance the stream
    position and the image data happens to contain 'EI', Gfx will resume
    reading the content stream from the middle of the image data.

    Bug 100737

 utils/ImageOutputDev.cc | 61
 ++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 45 insertions(+), 16 deletions(-)

commit e3779c849c86685c9bc294af407b364daf4b2202
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Apr 8 09:56:59 2017 +0200

    glib: Fix return value in API doc comment of
    poppler_movie_get_play_mode

 glib/poppler-movie.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cc7809e73c71e0e6b7db29dc8a12cfb573448b77
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Apr 5 23:18:52 2017 +0200

    Make XRef reconstruction a bit better

    Also detect streams whose endstream is on the middle of a line and
    not only at the beginning

    Bug #100509

 poppler/XRef.cc | 30 +++++++++++++++++++-----------
 1 file changed, 19 insertions(+), 11 deletions(-)

commit 2bbd110113f789c56609b3288258f667e0f3851a
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Apr 2 15:49:48 2017 +0200

    glib-demo: Show play mode in movie properties view

 glib/demo/utils.c | 3 +++
 1 file changed, 3 insertions(+)

commit dad9b36e0e91524e8e342cf924026c37fcb1730e
Author: Francesco Poli (wintermute) <invernomuto@paranoici.org>
Date:   Sun Apr 2 15:28:20 2017 +0200

    glib: Expose movie play mode

    With this patch the movie play mode can be queried via the glib
    interface. An enum value is obtained that reports whether the movie
    should be played once, in loop, and so forth...

    https://bugs.freedesktop.org/show_bug.cgi?id=99625

 glib/poppler-movie.cc               | 35
 +++++++++++++++++++++++++++++++++++
 glib/poppler-movie.h                | 31 ++++++++++++++++++++++++++-----
 glib/reference/poppler-sections.txt |  4 ++++
 3 files changed, 65 insertions(+), 5 deletions(-)

commit 0dbec24428d96ae78be8ca06b230d68cde445614
Author: Christoph Cullmann <cullmann@kde.org>
Date:   Wed Mar 22 23:45:41 2017 +0100

    qt5: Compile with -DQT_NO_CAST_FROM_BYTEARRAY

    Bug #100311

 qt5/src/poppler-private.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7ba4eb3ac3f23236e3df1ef992160d702dc5e4e9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 22 23:42:57 2017 +0100

    Poppler 0.53

 CMakeLists.txt         |  4 ++--
 NEWS                   | 18 ++++++++++++++++++
 configure.ac           |  2 +-
 cpp/Doxyfile           |  2 +-
 poppler/Makefile.am    |  2 +-
 qt4/src/Doxyfile       |  2 +-
 qt5/src/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile       |  2 +-
 qt5/src/Makefile.am    |  2 +-
 9 files changed, 27 insertions(+), 9 deletions(-)

commit 411c963a9fe7d0d51bc96f046792688a020bfc66
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Mar 19 12:40:37 2017 +0100

    Update (C)

 goo/PNGWriter.cc        | 2 +-
 goo/PNGWriter.h         | 2 +-
 goo/TiffWriter.cc       | 2 +-
 goo/TiffWriter.h        | 2 +-
 poppler/GfxState.h      | 2 +-
 utils/ImageOutputDev.cc | 2 +-
 utils/ImageOutputDev.h  | 2 +-
 7 files changed, 7 insertions(+), 7 deletions(-)

commit 96333f6dcd93afadea35f9301c7a919545037ed4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 8 23:33:00 2017 +0100

    Add override markers

 cmake/modules/PopplerMacros.cmake            |   4 +
 fofi/FoFiIdentifier.cc                       |  42 +--
 fofi/FoFiTrueType.h                          |   2 +-
 fofi/FoFiType1.h                             |   2 +-
 glib/poppler-cached-file-loader.h            |   4 +-
 glib/poppler-input-stream.h                  |  34 +--
 goo/JpegWriter.h                             |  10 +-
 goo/NetPBMWriter.h                           |   8 +-
 goo/PNGWriter.h                              |   8 +-
 goo/TiffWriter.h                             |  10 +-
 poppler/Annot.h                              |  50 ++--
 poppler/CairoFontEngine.h                    |   6 +-
 poppler/CairoOutputDev.cc                    |   2 +-
 poppler/CairoOutputDev.h                     | 344 +++++++++++-----------
 poppler/DCTStream.h                          |  18 +-
 poppler/Decrypt.h                            |  24 +-
 poppler/FlateEncoder.h                       |  16 +-
 poppler/Form.h                               |  18 +-
 poppler/Function.h                           |  52 ++--
 poppler/GfxFont.h                            |  20 +-
 poppler/GfxState.cc                          |   2 +-
 poppler/GfxState.h                           | 366
 +++++++++++------------
 poppler/JBIG2Stream.cc                       |  16 +-
 poppler/JBIG2Stream.h                        |  22 +-
 poppler/JPEG2000Stream.h                     |  24 +-
 poppler/Link.h                               |  66 ++---
 poppler/LocalPDFDocBuilder.h                 |   5 +-
 poppler/MarkedContentOutputDev.h             |  22 +-
 poppler/PSOutputDev.cc                       |  16 +-
 poppler/PSOutputDev.h                        | 142 ++++-----
 poppler/PopplerCache.cc                      |   2 +-
 poppler/PreScanOutputDev.h                   | 110 +++----
 poppler/SecurityHandler.h                    |  30 +-
 poppler/SplashOutputDev.cc                   |   2 +-
 poppler/SplashOutputDev.h                    | 210 ++++++-------
 poppler/StdinCachedFile.h                    |   5 +-
 poppler/StdinPDFDocBuilder.h                 |   5 +-
 poppler/Stream.h                             | 422
 +++++++++++++--------------
 poppler/TextOutputDev.cc                     |  38 +--
 poppler/TextOutputDev.h                      |  46 +--
 poppler/XRef.cc                              |   2 +-
 poppler/XRef.h                               |  12 +-
 qt4/CMakeLists.txt                           |   3 +
 qt4/src/poppler-annotation.h                 |   8 +-
 qt4/src/poppler-link.h                       |   2 +-
 qt5/demos/abstractinfodock.h                 |   6 +-
 qt5/demos/embeddedfiles.h                    |   6 +-
 qt5/demos/fonts.h                            |   4 +-
 qt5/demos/info.h                             |   4 +-
 qt5/demos/metadata.h                         |   4 +-
 qt5/demos/navigationtoolbar.h                |   6 +-
 qt5/demos/optcontent.h                       |   6 +-
 qt5/demos/pageview.h                         |   6 +-
 qt5/demos/permissions.h                      |   4 +-
 qt5/demos/thumbnails.h                       |   4 +-
 qt5/demos/toc.h                              |   4 +-
 qt5/demos/viewer.h                           |   2 +-
 qt5/src/ArthurOutputDev.cc                   |   2 +-
 qt5/src/ArthurOutputDev.h                    |  90 +++---
 qt5/src/poppler-annotation.cc                |  56 ++--
 qt5/src/poppler-annotation.h                 |  84 +++---
 qt5/src/poppler-form.h                       |  16 +-
 qt5/src/poppler-link-extractor-private.h     |  10 +-
 qt5/src/poppler-link.h                       |  24 +-
 qt5/src/poppler-optcontent.h                 |  18 +-
 qt5/src/poppler-qiodeviceoutstream-private.h |  10 +-
 qt5/src/poppler-qt5.h                        |   6 +-
 qt5/tests/stress-threads-qt5.cpp             |   4 +-
 qt5/tests/test-password-qt5.cpp              |   4 +-
 qt5/tests/test-poppler-qt5.cpp               |   6 +-
 splash/SplashFTFont.h                        |  12 +-
 splash/SplashFTFontFile.h                    |   6 +-
 splash/SplashPattern.h                       |  12 +-
 test/gtk-test.cc                             |   6 +-
 utils/HtmlOutputDev.h                        |  56 ++--
 utils/ImageOutputDev.h                       |  62 ++--
 utils/pdftohtml.cc                           |  12 +-
 77 files changed, 1404 insertions(+), 1400 deletions(-)

commit da490581b1b4d50efdba1e25115697e17bb0ef51
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 8 22:07:34 2017 +0100

    Compile in C++11 mode

    I tried using AX_CXX_COMPILE_STDCXX_11 for the autotools side but
    could not get it to fill CXXFLAGS or any other variable i could find,
    help welcome

 CMakeLists.txt | 4 +++-
 configure.ac   | 1 +
 2 files changed, 4 insertions(+), 1 deletion(-)

commit aa8633267d1d0e2079bb4a2b82bc7b36a4d306f5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Mar 6 22:45:52 2017 +0100

    pdfinfo: Fix memory leak when printing JS

 utils/JSInfo.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit d30e66cf39ef69a81bdd91e21203c876f38d9a09
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Mar 6 22:43:27 2017 +0100

    pdfinfo: fix leak when printing JS

 utils/JSInfo.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit a7632c5db6875828500dce7c984ec933d5349f26
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Mar 6 22:34:20 2017 +0100

    pdftohtml: fix small memory leak when constructing some filenames

 utils/HtmlOutputDev.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 8ebec831c2abea9f13761474990c0d94346c1a35
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Mar 6 22:24:06 2017 +0100

    SplashOutputDev: Fix memory leak when rendering images with colormap
    and matte color

 poppler/SplashOutputDev.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit cfaeeadbc642a297486481d9efd6068fd9ef7ea3
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Mar 4 10:54:29 2017 +1030

    pdfimages: support 16bpc png and tiff images

    bug 99988

 goo/PNGWriter.cc        |  4 ++++
 goo/PNGWriter.h         |  3 ++-
 goo/TiffWriter.cc       |  6 ++++++
 goo/TiffWriter.h        |  3 ++-
 poppler/GfxState.h      |  4 ++++
 utils/ImageOutputDev.cc | 38 +++++++++++++++++++++++++++++++++++++-
 utils/ImageOutputDev.h  |  1 +
 7 files changed, 56 insertions(+), 3 deletions(-)

commit 1b0653ce395242547b2b34b99034a19cd2d3ea6b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Mar 2 01:00:12 2017 +0100

    Qt5: Expose Form additional actions

 qt5/src/poppler-form.cc | 20 ++++++++++++++++++++
 qt5/src/poppler-form.h  | 19 +++++++++++++++++++
 2 files changed, 39 insertions(+)

commit a4c6433c423bd0dcc5056d9ee0375188fea9a0bc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Mar 2 00:56:43 2017 +0100

    Update (C) of previous commit

 poppler/Form.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0151e6e3824a6db907d871a2e56f5c20c001b588
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Mar 2 00:56:27 2017 +0100

    Qt5: expose form calculate order

 qt5/src/poppler-document.cc | 18 +++++++++++++++++-
 qt5/src/poppler-qt5.h       |  9 ++++++++-
 2 files changed, 25 insertions(+), 2 deletions(-)

commit 0ae3d40a79c25feb5cb9bce6fc8cc48c30bfd1b6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Mar 2 00:52:21 2017 +0100

    Parse AcroForm CO (calculateOrder)

 poppler/Form.cc | 19 +++++++++++++++++++
 poppler/Form.h  |  4 ++++
 2 files changed, 23 insertions(+)

commit bbfc56b3c9a1e613e6db008a56c9c3333ae1427a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Mar 2 00:45:44 2017 +0100

    Make FormWidget* setters ignore isReadOnly

    isReadOnly is for the user but poppler needs to be able to set the
    value for example for fields whose value is autocalculated

 poppler/Form.cc | 23 +----------------------
 1 file changed, 1 insertion(+), 22 deletions(-)

commit f853145556a61a3d1104d6fd62261924d9fc9e50
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Feb 19 23:25:47 2017 +0100

    There's no config file

 poppler/GlobalParams.h | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit c7a7c34fcb875414eb3092df84f8e8e8e523648d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Feb 15 23:26:10 2017 +0100

    Poppler 0.52.0

 CMakeLists.txt   |  2 +-
 NEWS             | 16 ++++++++++++++++
 configure.ac     |  2 +-
 cpp/Doxyfile     |  2 +-
 qt4/src/Doxyfile |  2 +-
 qt5/src/Doxyfile |  2 +-
 6 files changed, 21 insertions(+), 5 deletions(-)

commit baad9bd0406f63cffa8054c5831ccc3cb5d207e3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Feb 15 23:05:55 2017 +0100

    Update C years

 poppler/Annot.cc           | 2 +-
 poppler/OptionalContent.cc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 83d4d3ee56b22ef4c0899514abcfc4c220fb4031
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Feb 13 20:47:05 2017 +0100

    Properly initialize some RichMedia variables in corner cases

    Bug #99767

 poppler/Annot.cc | 31 ++++++++++++++-----------------
 1 file changed, 14 insertions(+), 17 deletions(-)

commit 8de4b3595a80d8880b842599cb25ab5fd5367689
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Feb 13 01:15:04 2017 +0100

    Fix assert on reading some OCGs

    Check the object is a ref before calling getRef

    Bug #99768

 poppler/OptionalContent.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 0b7c235c3ebe2a7a8d7bd6bfb22e605bf770a022
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Thu Feb 9 21:23:04 2017 +1030

    pdftocairo.1: typo

 utils/pdftocairo.1 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e7aad35dcba3449bc8a56de070fea7e09cb64833
Author: Hubert Figuière <hub@figuiere.net>
Date:   Tue Jan 17 23:58:00 2017 -0500

    Qt: fix memory leaks found when running tests

    -cleanup objects in tests to fix memory leaks.
    -optcontent was leaking the headers items

    Bug #99449

 qt4/src/poppler-optcontent-private.h | 2 ++
 qt4/src/poppler-optcontent.cc        | 3 +++
 qt4/tests/check_links.cpp            | 2 ++
 qt5/src/poppler-optcontent-private.h | 2 ++
 qt5/src/poppler-optcontent.cc        | 3 +++
 qt5/tests/check_links.cpp            | 2 ++
 6 files changed, 14 insertions(+)

commit dc8edecc437f33305257b6cb208dc2da367b7868
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 15 18:27:49 2017 +0100

    Poppler 0.51

 CMakeLists.txt         |  2 +-
 NEWS                   | 15 ++++++++++++++-
 configure.ac           |  2 +-
 cpp/Doxyfile           |  2 +-
 qt4/src/Doxyfile       |  2 +-
 qt5/src/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile       |  2 +-
 qt5/src/Makefile.am    |  2 +-
 8 files changed, 21 insertions(+), 8 deletions(-)

commit c4de00a93c470020c6c96eb343854039bfc0a424
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 14 23:42:32 2017 +0100

    Forgot to update the \since value

 qt5/src/poppler-form.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0eb28e216fc45fe5ceed1c093a541ceca0dc0397
Author: Christoph Cullmann <cullmann@kde.org>
Date:   Fri Jan 13 00:03:27 2017 +0100

    qt5: Fix segfault/assert if LinkDestination is constructed with
    invalid input string.

    Bug #99357

 qt5/src/poppler-link.cc | 24 +++++++++++++-----------
 1 file changed, 13 insertions(+), 11 deletions(-)

commit 4db6507320b51e060f73f7fb0eab364e8a1fee77
Author: Sebastian Rasmussen <sebras@gmail.com>
Date:   Wed Jan 11 23:37:54 2017 +0100

    Check for error from NSS in SignatureHandler construct.

    And cascading effects in other SignalHandler members.

    Bug #99363

 poppler/SignatureHandler.cc | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit 8bb90fc828a3400a2464a38f0ec9e592754197dd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jan 10 17:20:18 2017 +0100

    Qt5: Minor api refinements to the new signature classes

 qt5/src/poppler-form.cc     | 32 +++++++++++++++++++++-----------
 qt5/src/poppler-form.h      | 22 +++++++++++-----------
 qt5/tests/poppler-forms.cpp | 14 +++++++-------
 3 files changed, 39 insertions(+), 29 deletions(-)

commit aa63debdaa6001ed68333b31cd06c2f9958fd8d2
Author: Hanno Meyer-Thurow <h.mth@web.de>
Date:   Tue Jan 10 16:28:14 2017 +0100

    Qt5: Implement digital signature support

    Bug #94378

 qt5/src/poppler-form.cc     | 121
 ++++++++++++++++++++++++++++++++++++++++++++
 qt5/src/poppler-form.h      | 106 ++++++++++++++++++++++++++++++++++++++
 qt5/src/poppler-page.cc     |   7 +++
 qt5/tests/poppler-forms.cpp |  47 ++++++++++++++++-
 4 files changed, 280 insertions(+), 1 deletion(-)

commit 2f831d5b9481e5ab06178409f7fccf74eda6e1a2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 9 00:30:42 2017 +0100

    New year!

 poppler/poppler-config.h.cmake | 2 +-
 poppler/poppler-config.h.in    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit b6c4d6d1312f63e5e6dcfa28ea48ff3e6935daa9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 9 00:28:37 2017 +0100

    Fix memory leak in PDFDoc::markAnnotations

 poppler/PDFDoc.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 3cae7773d2f8ad6506e2712689c56fa6975e01d3
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Mon Jan 9 00:25:53 2017 +0100

    pdfunite: add fields to AcroForm dict

    Bug #99141

 utils/pdfunite.cc | 33 +++++++++++++++++++++++++++++++--
 1 file changed, 31 insertions(+), 2 deletions(-)

commit c301f6c675784a65fb2ebdf99ded5d5d3f8defdd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 19 22:53:47 2016 +0100

    qt5: Add Poppler::FormField::setName

 qt5/src/poppler-form.cc |  9 ++++++++-
 qt5/src/poppler-form.h  | 10 ++++++++--
 2 files changed, 16 insertions(+), 3 deletions(-)

commit 86c99de95cd16199e0f9f1fb82999c27d54c5b76
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 19 22:53:10 2016 +0100

    Add Form[Field|Widget]::setPartialName

    Useful to repair/tweak pdf files

 poppler/Form.cc | 16 ++++++++++++++++
 poppler/Form.h  |  2 ++
 2 files changed, 18 insertions(+)

commit 56dfa44960b9ab9fb4dcc01d8e3861a9293b0ee0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Dec 15 23:32:41 2016 +0100

    Poppler 0.50

 CMakeLists.txt         |  4 ++--
 NEWS                   | 25 +++++++++++++++++++++++++
 configure.ac           |  2 +-
 cpp/Doxyfile           |  2 +-
 poppler/Makefile.am    |  2 +-
 qt4/src/CMakeLists.txt |  2 +-
 qt4/src/Doxyfile       |  2 +-
 qt4/src/Makefile.am    |  3 ++-
 qt5/src/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile       |  2 +-
 qt5/src/Makefile.am    |  3 ++-
 11 files changed, 38 insertions(+), 11 deletions(-)

commit 1511523450f40b539fb1d58950a907f3712fd5c7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Dec 15 22:04:04 2016 +0100

    Refine previous fix a bit

    Call GfxColorSpace::setupColorProfiles only when we really need it

 poppler/GfxState.cc | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 9b016440725de086fa87fcbf776e27acee2c01b7
Author: Marek Kasik <mkasik@redhat.com>
Date:   Wed Sep 21 12:28:16 2016 +0200

    Don't crash when calling cmsGetColorSpace()

    Initialize RGBProfile and displayProfile before their use
    if they were not initialized in GfxState's constructor.

    https://bugs.freedesktop.org/show_bug.cgi?id=97870

 poppler/GfxState.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 8321b400adf6c042cd630ceea7f54fcf6862211d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Dec 15 18:02:30 2016 +0100

    Add one more const

    Makes clang happier (i.e. gives one warning less)

 fofi/FoFiEncodings.cc | 18 ++++++++++++++++--
 fofi/FoFiEncodings.h  | 18 ++++++++++++++++--
 2 files changed, 32 insertions(+), 4 deletions(-)

commit 1a6e4b65197391b23c2163b939d4787f2058a2e1
Author: Jason Crain <jason@inspiresomeone.us>
Date:   Wed Dec 7 09:28:58 2016 -0600

    cairo: initialize CairoOutputDev::antialias

    Initialize CairoOutputDev::antialias to CAIRO_ANTIALIAS_DEFAULT.
